Get a product by the system product ID
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Get a product by the system product identifier, which is the integer id or system identifier of the product object.
To create an order for this product, in the order object of the request body, set this value as the product_id.
When you perform a GET request for a product object, the response object contains the attributes as described here.
The URLs in the examples in API documentation contain the {env} variable. Replace this variable with test for the test environment and app for the production environment.
General attributes
| Attribute | Description |
|---|---|
| id | The unique system ID of the product. |
| product_id | The merchant's identifier for the product. |
| product_type | One of single_payment, instalment, subscription, or metered. |
| product_status | If the product is active, you can use it in orders. The other option is inactive. |
| lock_price | If true, the pricing cannot be changed in orders. Defaults to false. |
| discount.percentage | If the product has a percentage discount, this attribute is present and it is the percentage discount. |
| discount.amount | If the product has a discount amount, this attribute is present and it is the discount amount. |
Single payment product
These are the specific attributes to note for a single-payment product.
| Attribute | Description |
|---|---|
| product_type | For a single-payment product, this is single_payment. |
| lock_payment_config | This attribute is not used for single_payment products. |
Instalment product
These are the specific attributes to note for an instalment product.
| Attribute | Description |
|---|---|
| product_type | The product type is instalment. |
| lock_payment_config | If true, the user cannot change the instalment payments configuration in the order. |
| scheduled_interval | Frequency of the payments in scheduled units. |
| scheduled_duration | The number of instalment payments. BillPro subtracts the deposit amount from the total and splits the balance into this number of instalment payments. |
| scheduled_unit | The period unit of the instalment payments, such as MONTH. |
| deposit_amount | The amount of the initial payment. This can be 0 if there is no deposit. In this case, BillPro registers the customer's card. |
Subscription product
These are the specific attributes to note for a subscription product.
| Attribute | Description |
|---|---|
| product_type | The product type is subscription. |
| lock_payment_config | If true, the user cannot change the subscription interval in the order. |
| scheduled_interval | Frequency of the subscription in scheduled units. |
| scheduled_unit | The period unit of the subscription, such as MONTH. |
| fee_for_initial_payment_only | If true, the fee applies to the initial payment only. |
| discount_for_initial_payment_only | If true, the discount applies to the initial payment only. |
| deposit_amount | The amount of the initial payment. |
Metered product
The attributes in the following table are the most relevant to a metered product.
| Attribute | Description |
|---|---|
| product_type | The product type is metered. |
| lock_payment_config | This attribute is not used for metered products. |
| scheduled_interval | This attribute is empty for metered products. |
| scheduled_unit | This attribute is always set to MONTH for metered products but it is not used. |